$(document).ready(function(){
    //    alert(base);
    });

/*
 * 刷新验证码
 */
function reloadcode() {
    var verify = document.getElementById('code');
    verify.setAttribute('src', base+'captcha_code?' + Math.random());
}

/**    
 * 检查登录的字段内容
 */
function check(){
    var email = $("#email");
    var password = $("#password");
    var imgcode = $("#imgcode");
   
    var email_format = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式
    if(email.val()=="")
    {
        alert("邮箱不能为空！");
        email.focus();
        return false;
    }
    if(!email_format.test(email.val()))
    {
        alert("邮箱格式不对！");
        email.focus();
        return false;
    }	
   
    if(password.val()==""){
        alert("密码不能为空！");
        password.focus();
        return false;
    }
     
    if(imgcode.val()==""){
        alert("请输入验证码！");
        imgcode.focus();
        return false;
    }
    
    $.ajax({
        cache: true,
        type: "POST",
        url:base+"admin/login",
        data:$('#frm_login').serialize(),
        async: false,
        error: function(request) {
        //   alert("error");
            
        },
        success: function(data) {
        //     alert(data);
            if(data == "OK"){
                //alert("登陆成功!");
                //   alert(base+"admin");
                document.location.href=base+"admin";
                window.location.href(base+"admin");
                document.getElementById("frm_login").reset();
            }else if(data == "NO"){  
                 alert("验证码错误");
                reloadcode();
                window.location.href(base+"admin");
            }else{
               // alert(data);
                alert("密码错误");
                reloadcode();
                window.location.href(base+"admin");
               // document.getElementById("next").onclick;
            }
        }
    });
	
    // jquery 表单提交  
    $("#frm_login").submit(); 
    return true;
}
/*忘记密码*/
function forget_email(base){
          
    if($("#email").val()=="")
    {
        alert("邮箱不能为空！");
        document.getElementById("email").focus();
        return false;
    }
    var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式判断
    /*检查用户名是否符合email格式*/
    if(!reg.test($("#email").val()))
    {
        alert("邮箱格式不对");
        document.getElementById("email").focus();
        return false;
    }
      
    $.post(base+"index.php/user/get_password","email="+$("#email").val() , 
        function(ret){
            if(ret!="OK"){
                alert(ret);
                return;    
            }
            alert("密码已发到你的邮箱,请重新登录！");
        // top.window.location.href=base;
        });
}//end of 忘记密码


/*   验证原密码新密码确认密码不为空，
     验证两次密码输入是否一致
     Ajax方法将数据提交后台，
     获取返回结果ret如果ret不等于ok提示错误原因，否则提示密码修改成功
     */   
function change(base){
     
    if($("#password_new").val()==""){
        alert("新密码不能为空！");
        document.getElementById("password_new").focus();
        return false;
    }
    if($("#password_confi").val()==""){
        alert("确认密码不能为空！");
        document.getElementById("password_confi").focus();
        return false;
    }
        
    if($("#password_new").val()!=$("#password_confi").val()){
        document.getElementById("password_old").focus();
        alert("两次密码不一致，请重新输入");
          
        return false;
    }      
    //用jquery中的ajax方法，向服务器提交请求 
    $.post(base+"index.php/user/change_password", $("#form_password").serialize(),
        function(ret){
            if( ret != "OK" ){
                alert(ret);
                return;
            }
            alert('密码修改成功！请重新登录');
            top.window.location.href=base+"index.php/user/logout";
        });
}/*end of 修改密码*/
 